<button class="btn m-2" onclick="update_modal_{{site.id}}.showModal()">Modifier</button>
<dialog id="update_modal_{{site.id}}" class="modal">
    <div class="modal-box">
        <h3 class="font-bold text-lg mb-4">Modifier le site {{ site.name }}</h3>
        <form 
            hx-post="{% url 'update-site' site.id %}" 
            hx-headers='{"X-CSRFToken": "{{ csrf_token }}"}'
            hx-swap="innerHTML" 
            hx-target="#sites"
            hx-on::after-request="this.reset()"
            @submit="update_modal.close()"
            class="flex flex-col gap-4"
        >
            <input type="text" placeholder="Nom" name="name" class="input input-bordered w-full" />
            <button class="btn">Modifier</button>
        </form>
    </div>
    <form method="dialog" class="modal-backdrop">
        <button>close</button>
      </form>
</dialog>